nlohmann::detail::is_iterator_traits< iterator_traits< T > >
json.hpp
typename T
iterator_traits< T > using nlohmann::detail::is_iterator_traits< iterator_traits< T > >::traits = iterator_traits<T> traits
constexpr auto constexpr auto nlohmann::detail::is_iterator_traits< iterator_traits< T > >::value value = is_detected<value_type_t, traits>::value && is_detected<difference_type_t, traits>::value && is_detected<pointer_t, traits>::value && is_detected<iterator_category_t, traits>::value && is_detected<reference_t, traits>::value
nlohmann::detail::is_iterator_traits< iterator_traits< T > >
+value
static constexpr auto
- nlohmann::detail::is_iterator_traits< iterator_traits< T > >
  traits
- nlohmann::detail::is_iterator_traits< iterator_traits< T > >
  value